/*
 * ssui.h: SLED Session UI - Common UI for handling logout, shutdown, sleep,
 * 							hibernate, and Fast User switching.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 *
 * Authors:
 *		Calvin Gaisford <cgaisford@novell.com>
 *
 * Authors for code taken from gnome-panel-logout:
 *		Vincent Untz <vuntz@gnome.org>
 *
 * Authors for code taken from gnome-session-logout:
 *		Owen Taylor <otaylor@redhat.com>
 */

#ifndef __SSUI__
#define __SSUI__

#include <glib.h>

G_BEGIN_DECLS

typedef gpointer FusHandle;

gboolean 	ssui_downout_ui(void);
gboolean 	ssui_logout_ui(void);
gboolean 	ssui_shutdown_ui(void);

FusHandle 	ssui_init_fus_handle(void);
void 		ssui_free_fus_handle(FusHandle handle);
GtkWidget*	ssui_fus_get_widget(FusHandle handle);
gboolean	ssui_fus_switch_user(FusHandle handle);

gboolean	ssui_show_fusa_ui(void);

G_END_DECLS

#endif /* __SSUI__ */

